Skip to navigation

Delete data for of user's account memberships

View as Markdown

Deletes data for one or more of a user’s account memberships.

To call this endpoint:

  • You must be an organization administrator (or delegated administrator) with permission to manage the specified accounts or the user’s email domain.
  • The user must have been closed for at least 24 hours.

Note: After a user’s data is deleted for every account to which they belong, their user-level data will automatically be deleted.

Required authentication scopes: user_data_redact.

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid

Request

This endpoint expects an object: IndividualUserDataRedactionRequest

membershipslist of objectsOptional
A list of accounts from which you want to delete the user's data. At least one account is required.
user_idstringOptionalformat: "uuid"
The ID of the user whose data you want to delete.

Response

OK
membership_resultslist of objectsOptional
A list of objects describing the status of the deletion request for each account.
statusenumOptional
The overall status of the data deletion request.
Allowed values:
user_idstringOptionalformat: "uuid"
The ID of the user.